.TH GOIARDI "8" "November 2016" "goiardi version 0.11.0" "System Administration Utilities"
.SH NAME
goiardi \- A Chef server written in Go
.SH DESCRIPTION
.SS "Usage:"
.IP
goiardi [OPTIONS]
.SS "Application Options:"
.TP
\fB\-v\fR, \fB\-\-version\fR
Print version info.
.TP
\fB\-V\fR, \fB\-\-verbose\fR
Show verbose debug information. Repeat for more verbosity.
.TP
\fB\-c\fR, \fB\-\-config=\fR
Specify a config file to use.
.TP
\fB\-I\fR, \fB\-\-ipaddress=\fR
Listen on a specific IP address.
.TP
\fB\-H\fR, \fB\-\-hostname=\fR
Hostname to use for this server. Defaults to hostname reported by the kernel.
.TP
\fB\-P\fR, \fB\-\-port=\fR
Port to listen on. If port is set to 443, SSL will be activated. (default: 4545)
.TP
\fB\-Z\fR, \fB\-\-proxy\-hostname=\fR
Hostname to report to clients if this goiardi server is behind a proxy using a different hostname. See also \fB\-\-proxy\-port\fR. Can be used with \fB\-\-proxy\-port\fR or alone, or not at all.
.TP
\fB\-W\fR, \fB\-\-proxy\-port=\fR
Port to report to clients if this goiardi server is behind a proxy using a different port than the port goiardi is listening on. Can be used with \fB\-\-proxy\-hostname\fR or alone, or not at
all.
.TP
\fB\-i\fR, \fB\-\-index\-file=\fR
File to save search index data to.
.TP
\fB\-D\fR, \fB\-\-data\-file=\fR
File to save data store data to.
.TP
\fB\-F\fR, \fB\-\-freeze\-interval=\fR
Interval in seconds to freeze in\-memory data structures to disk if there have been any changes (requires \fB\-i\fR/\-\-index\-file and \fB\-D\fR/\-\-data\-file options to be set). (Default 10 seconds.)
.TP
\fB\-L\fR, \fB\-\-log\-file=\fR
Log to file X
.TP
\fB\-s\fR, \fB\-\-syslog\fR
Log to syslog rather than a log file. Incompatible with \fB\-L\fR/\-\-log\-file.
.TP
\fB\-\-time\-slew=\fR
Time difference allowed between the server's clock and the time in the X\-OPS\-TIMESTAMP header. Formatted like 5m, 150s, etc. Defaults to 15m.
.TP
\fB\-\-conf\-root=\fR
Root directory for configs and certificates. Default: the directory the config file is in, or the current directory if no config file is set.
.TP
\fB\-A\fR, \fB\-\-use\-auth\fR
Use authentication. Default: false.
.TP
\fB\-\-use\-ssl\fR
Use SSL for connections. If \fB\-\-port\fR is set to 433, this will automatically be turned on. If it is set to 80, it will automatically be turned off. Default: off. Requires \fB\-\-ssl\-cert\fR and
\fB\-\-ssl\-key\fR.
.TP
\fB\-\-ssl\-cert=\fR
SSL certificate file. If a relative path, will be set relative to \fB\-\-conf\-root\fR.
.TP
\fB\-\-ssl\-key=\fR
SSL key file. If a relative path, will be set relative to \fB\-\-conf\-root\fR.
.TP
\fB\-\-https\-urls\fR
Use 'https://' in URLs to server resources if goiardi is not using SSL for its connections. Useful when goiardi is sitting behind a reverse proxy that uses SSL, but is communicating
with the proxy over HTTP.
.TP
\fB\-\-disable\-webui\fR
If enabled, disables connections and logins to goiardi over the webui interface.
.TP
\fB\-\-use\-mysql\fR
Use a MySQL database for data storage. Configure database options in the config file.
.TP
\fB\-\-use\-postgresql\fR
Use a PostgreSQL database for data storage. Configure database options in the config file.
.TP
\fB\-\-local\-filestore\-dir=\fR
Directory to save uploaded files in. Optional when running in in\-memory mode, *mandatory* (unless using S3 uploads) for SQL mode.
.TP
\fB\-\-log\-events\fR
Log changes to chef objects.
.TP
\fB\-K\fR, \fB\-\-log\-event\-keep=\fR
Number of events to keep in the event log. If set, the event log will be checked periodically and pruned to this number of entries.
.TP
\fB\-x\fR, \fB\-\-export=\fR
Export all server data to the given file, exiting afterwards. Should be used with caution. Cannot be used at the same time as \fB\-m\fR/\-\-import.
.TP
\fB\-m\fR, \fB\-\-import=\fR
Import data from the given file, exiting afterwards. Cannot be used at the same time as \fB\-x\fR/\-\-export.
.TP
\fB\-Q\fR, \fB\-\-obj\-max\-size=\fR
Maximum object size in bytes for the file store. Default 10485760 bytes (10MB).
.TP
\fB\-j\fR, \fB\-\-json\-req\-max\-size=\fR
Maximum size for a JSON request from the client. Per chef\-pedant, default is 1000000.
.TP
\fB\-\-use\-unsafe\-mem\-store\fR
Use the faster, but less safe, old method of storing data in the in\-memory data store with pointers, rather than encoding the data with gob and giving a new copy of the object to
each requestor. If this is enabled goiardi will run faster in in\-memory mode, but one goroutine could change an object while it's being used by another. Has no effect when using an
SQL backend.
.TP
\fB\-\-db\-pool\-size=\fR
Number of idle db connections to maintain. Only useful when using one of the SQL backends. Default is 0 \- no idle connections retained
.TP
\fB\-\-max\-connections=\fR
Maximum number of connections allowed for the database. Only useful when using one of the SQL backends. Default is 0 \- unlimited.
.TP
\fB\-\-use\-serf\fR
If set, have goidari use serf to send and receive events and queries from a serf cluster. Required for shovey.
.TP
\fB\-\-serf\-event\-announce\fR
Announce log events and joining the serf cluster over serf, as serf events. Requires \fB\-\-use\-serf\fR.
.TP
\fB\-\-serf\-addr=\fR
IP address and port to use for RPC communication with a serf agent. Defaults to 127.0.0.1:7373.
.TP
\fB\-\-use\-shovey\fR
Enable using shovey for sending jobs to nodes. Requires \fB\-\-use\-serf\fR.
.TP
\fB\-\-sign\-priv\-key=\fR
Path to RSA private key used to sign shovey requests.
.TP
\fB\-\-dot\-search\fR
If set, searches will use . to separate elements instead of _.
.TP
\fB\-\-convert\-search\fR
If set, convert _ syntax searches to . syntax. Only useful if \fB\-\-dot\-search\fR is set.
.TP
\fB\-\-pg\-search\fR
Use the new Postgres based search engine instead of the default ersatz Solr. Requires \fB\-\-use\-postgresql\fR, automatically turns on \fB\-\-dot\-search\fR. \fB\-\-convert\-search\fR is recommended, but not
required.
.TP
\fB\-\-use\-statsd\fR
Whether or not to collect statistics about goiardi and send them to statsd.
.TP
\fB\-\-statsd\-addr=\fR
IP address and port of statsd instance to connect to. (default 'localhost:8125')
.TP
\fB\-\-statsd\-type=\fR
statsd format, can be either 'standard' or 'datadog' (default 'standard')
.TP
\fB\-\-statsd\-instance=\fR
Statsd instance name to use for this server. Defaults to the server's hostname, with '.' replaced by '_'.
.TP
\fB\-\-use\-s3\-upload\fR
Store cookbook files in S3 rather than locally in memory or on disk. This or \fB\-\-local\-filestore\-dir\fR must be set in SQL mode. Cannot be used with in\-memory mode.
.TP
\fB\-\-aws\-region=\fR
AWS region to use S3 uploads.
.TP
\fB\-\-s3\-bucket=\fR
The name of the S3 bucket storing the files.
.TP
\fB\-\-aws\-disable\-ssl\fR
Set to disable SSL for the endpoint. Mostly useful just for testing.
.TP
\fB\-\-s3\-endpoint=\fR
Set a different endpoint than the default s3.amazonaws.com. Mostly useful for testing with a fake S3 service, or if using an S3\-compatible service.
.TP
\fB\-\-s3\-file\-period=\fR
Length of time, in minutes, to allow files to be saved to or retrieved from S3 by the client. Defaults to 15 minutes.
.SS "Help Options:"
.TP
\fB\-h\fR, \fB\-\-help\fR
Show this help message
.SH "COMPATIBILITY"
This version of Goiardi aims for compatibility with Chef Server version
11.1.7.
.SH "SEE ALSO"
The complete Goiardi documentation is maintained as Sphinx docs online.
The latest version can be found in the following URL:
.br
https://goiardi.readthedocs.io/en/latest/.
.br
If the
.B goiardi-doc
package is installed, you should be able to browse them offline by pointing
your browser to the following local URL:
.br
file:///usr/share/doc/goiardi-doc/html/index.html.
.br
Please note this manpage was automatically generated by the
Debian goiardi maintainers. Do not file bugs for its content to the
Goiardi upstream authors.
